summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorPatrick McLean <patrick.mclean@sony.com>2019-04-25 16:50:25 -0700
committerPatrick McLean <chutzpah@gentoo.org>2019-04-25 16:50:25 -0700
commit64501f8a5370515e0e9b1326a31c6998a4949074 (patch)
tree11511453eda8a79eed3c59958194d8db39c063d7
parentmedia-gfx/gimp: amd64 stable, bug #681082 (diff)
downloadgentoo-64501f8a5370515e0e9b1326a31c6998a4949074.tar.gz
gentoo-64501f8a5370515e0e9b1326a31c6998a4949074.tar.bz2
gentoo-64501f8a5370515e0e9b1326a31c6998a4949074.zip
dev-python/jinja: Version bump to 2.10.1
Copyright: Sony Interactive Entertainment Inc. Package-Manager: Portage-2.3.64, Repoman-2.3.12 Signed-off-by: Patrick McLean <chutzpah@gentoo.org>
-rw-r--r--dev-python/jinja/Manifest1
-rw-r--r--dev-python/jinja/jinja-2.10.1.ebuild72
2 files changed, 73 insertions, 0 deletions
diff --git a/dev-python/jinja/Manifest b/dev-python/jinja/Manifest
index 3c0413ac2b6..aa85e1c3a42 100644
--- a/dev-python/jinja/Manifest
+++ b/dev-python/jinja/Manifest
@@ -1,2 +1,3 @@
+DIST jinja-2.10.1.tar.gz 267828 BLAKE2B 0cd7e2880f1d41f3a6aafa0878343c2ff017099de6b2ad607baa3c9cba9d58c9241e1ba65cc23ea16244a1b3ea8720933f45f1061811e5f1abdcd881c4017bce SHA512 71c90be0b2aeefaa80279cba55f7827b5a42455f9dc55de9ca7e9e3e363678caa357426955267542f3c8a9b775e61aca55e439af192ed0a67f592be4ef91aff6
DIST jinja-2.10.tar.gz 267508 BLAKE2B 3872a073bd3954a079aee74fb2f23815f75559a88a8ab6d849cc9855e158d096a1ac62c219ae7f48a54d082c3073e83749c8536439248c80494e882f6a18995f SHA512 bdfd3c4d01b39827c128cbd7f6ebc0ad1434748be41c5037ba1b23156eea1d28f805ffe2a051b4e9b5b38938615c35c8876095b0bf0bed2c139cf5ea49ae2420
DIST jinja-2.9.5.tar.gz 486763 BLAKE2B 680b8d58056b180295b52998a573da2fe86ac8b117a942e647626aef16d42c7af89a0ba7f5ab098fcdb29bd18940e316144fea1882e15d71f67bda945b4a6ab8 SHA512 15c1b79981c4d6fcbb7fa947fe0fd7e43973433c03d6549a84deec8ad70881f7fd0d3a35160bf6371361994f838da7eb478c577de2612e004679ae51bd97b121
diff --git a/dev-python/jinja/jinja-2.10.1.ebuild b/dev-python/jinja/jinja-2.10.1.ebuild
new file mode 100644
index 00000000000..edd801ef69c
--- /dev/null
+++ b/dev-python/jinja/jinja-2.10.1.ebuild
@@ -0,0 +1,72 @@
+# Copyright 1999-2019 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=7
+
+PYTHON_COMPAT=( python2_7 python3_{5,6,7} pypy pypy3 )
+PYTHON_REQ_USE="threads(+)"
+
+inherit eutils distutils-r1
+
+DESCRIPTION="A full-featured template engine for Python"
+HOMEPAGE="http://jinja.pocoo.org/ https://pypi.org/project/Jinja2/"
+
+# pypi tarball is missing tests
+SRC_URI="https://github.com/pallets/jinja/archive/${PV}.tar.gz -> ${P}.tar.gz"
+
+LICENSE="BSD"
+SLOT="0"
+KEYWORDS="~alpha ~amd64 ~arm ~arm64 ~hppa ~ia64 ~mips ~ppc ~ppc64 ~s390 ~sh ~sparc ~x86 ~amd64-fbsd ~x86-fbsd ~amd64-linux ~x86-linux ~x64-macos ~x86-macos ~sparc-solaris ~sparc64-solaris ~x64-solaris"
+IUSE="doc examples test"
+RESTRICT="!test? ( test )"
+
+RDEPEND="
+ dev-python/markupsafe[${PYTHON_USEDEP}]
+ dev-python/setuptools[${PYTHON_USEDEP}]
+ !dev-python/jinja:compat"
+DEPEND="${RDEPEND}
+ doc? ( dev-python/sphinx[${PYTHON_USEDEP}] )
+ test? ( dev-python/pytest[${PYTHON_USEDEP}] )"
+
+# XXX: handle Babel better?
+
+wrap_opts() {
+ local mydistutilsargs=()
+
+ if [[ ${EPYTHON} == python* ]]; then
+ mydistutilargs+=( --with-debugsupport )
+ fi
+
+ "${@}"
+}
+
+python_compile() {
+ wrap_opts distutils-r1_python_compile
+}
+
+python_compile_all() {
+ use doc && emake -C docs html
+}
+
+python_test() {
+ py.test || die
+}
+
+python_install_all() {
+ use doc && local HTML_DOCS=( docs/_build/html/. )
+ if use examples ; then
+ docinto examples
+ dodoc -r examples/.
+ fi
+
+ distutils-r1_python_install_all
+
+ insinto /usr/share/vim/vimfiles/syntax
+ doins ext/Vim/*
+}
+
+pkg_postinst() {
+ if ! has_version dev-python/Babel; then
+ elog "For i18n support, please emerge dev-python/Babel."
+ fi
+}